Bug 54095 - FILEOPEN: Font color is wrong (white instead of black on white background) in DOCX SmartArt Horizontal Hierarchy (that cannot be edited in LO)
Summary: FILEOPEN: Font color is wrong (white instead of black on white background) in...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx, implementationError
Depends on:
Blocks: OOXML-Shapes OOXML-SmartArt
  Show dependency treegraph
 
Reported: 2012-08-26 19:49 UTC by Lekow
Modified: 2019-09-18 06:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with SmartArt, created in MSO 2007. (25.64 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-08-26 19:49 UTC, Lekow
Details
SA.pdf: text is still missing in LO5.3beta1 (84.84 KB, application/pdf)
2016-12-03 19:07 UTC, Justin L
Details
Document modified in MSO to add background or text color (32.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-09-18 06:54 UTC, Timur
Details
Original and MSO modified DOCX shown in MSO and LO (139.54 KB, image/png)
2019-09-18 06:56 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lekow 2012-08-26 19:49:20 UTC
Created attachment 66150 [details]
Document with SmartArt, created in MSO 2007.

When opening in LO 3.6.0 the DOCX document created in MSOffice 2007 SP1, the SmartArt object is shown without lines and font color is wrong. 

Steps to reproduce the particular case:
1. In Word 2007 select Insert > SmartArt > Hierarchy > Horizontal Hierarchy > OK. [The default object is inserted. Its background is blue and a font is white.]
2. Change texts as you wish.
3. Go to Design > Change colors and select The first (black-and-white) variant. [Text and borders become black and the background becomes white]
4. Save as DOCX.
5. Open in LibreOffice. Lines are absent (Sometimes they are somewhere inside or even outside the page. I can not reproduce it now, but I had the file with such SmartArt, also from MSO 2007.) The text is present, but it is white on white background (I suspect that default font style is applied).
Comment 1 Lekow 2012-08-26 19:56:24 UTC
Maybe, this bug is related with the following bug: https://bugs.freedesktop.org/show_bug.cgi?id=46497
Comment 2 Xisco Faulí 2014-02-14 13:54:29 UTC
Line importing is fixed in 
   - Libreoffice 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
   - Libreoffice 4.3.0.0.alpha0+ Build ID: e076b5290e706b8a69abd397a9f255eba6a0cd1a

Text importing is not fixed in:
   - Libreoffice 4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
   - Libreoffice 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
   - Libreoffice 4.3.0.0.alpha0+ Build ID: e076b5290e706b8a69abd397a9f255eba6a0cd1a
Comment 3 Joel Madero 2015-05-02 15:43:40 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2015-05-04 13:52:03 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2016-04-20 10:31:45 UTC
This issue is still reproducible in

Version: 5.2.0.0.alpha0+
Build ID: d6bf3bcd8b51012d55a2ec962800a8549e2b85e1
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-04-15_06:45:16
Locale: es-ES (es_ES)
Comment 6 Justin L 2016-12-03 19:07:50 UTC
Created attachment 129289 [details]
SA.pdf: text is still missing in LO5.3beta1
Comment 7 Regina Henschel 2017-10-25 21:37:47 UTC
Text is missing even after resave by Word 2010.
I have used Version: 6.0.0.0.alpha1+
Build ID: dc2d133e7953f08f73ef9cd0b40786764b0e2035
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-22_01:16:45
Locale: de-DE (de_DE); Calc: group
Comment 8 Timur 2019-09-18 06:54:18 UTC
Created attachment 154243 [details]
Document modified in MSO to add background or text color
Comment 9 Timur 2019-09-18 06:56:12 UTC
Created attachment 154245 [details]
Original and MSO modified DOCX shown in MSO and LO

Repro 6.4+. As shown, if background or text color is modified, opens OK, but NOK for simple font color (black, solid fill).